"""Add site workflows.

Revision ID: 0c31b60487c8
Revises: e8378fbcfbf3
Create Date: 2023-11-21 12:52:38.938536

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '0c31b60487c8'
down_revision = 'e8378fbcfbf3'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_site",
        "target": "CREATE",
        "description": "Create Site",
        "product_type": "Site"
    },
    {
        "name": "terminate_site",
        "target": "TERMINATE",
        "description": "Terminate Site",
        "product_type": "Site"
    },
    {
        "name": "modify_site",
        "target": "MODIFY",
        "description": "Modify Site",
        "product_type": "Site"
    },
    {
        "name": "import_site",
        "target": "CREATE",
        "description": "Import Site",
        "product_type": "Site"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
