import pytest

from gso.products.product_types.site import Site
from test.workflows import assert_complete, extract_state, run_workflow


@pytest.mark.workflow()
def test_terminate_site(responses, site_subscription_factory):
    subscription_id = site_subscription_factory()
    initial_site_data = [{"subscription_id": subscription_id}, {}]
    result, _, _ = run_workflow("terminate_site", initial_site_data)
    assert_complete(result)

    state = extract_state(result)
    subscription_id = state["subscription_id"]
    subscription = Site.from_subscription(subscription_id)
    assert subscription.status == "terminated"
